WordPress 4.9.1, actualización de seguridad y mantenimiento

Ya está disponible WordPress 4.9.1. Esta es una actualización de seguridad y mantenimiento para todas las versiones desde WordPress 3.7. Te recomendamos encarecidamente que actualices inmediatamente tus sitios.

Las versiones de WordPress 4.9 y anteriores están afectadas por problemas de seguridad que podrían, potencialmente, ser aprovechados como parte de un ataque en varios vectores. Como parte del lanzamiento en marcha del equipo principal del núcleo, para fortalecer las seguridad, se han implementado las siguientes soluciones en la versión 4.9.1:

  1. Uso de un hast generado correctamente en la clave newbloguser en vez de una subcadena determinada.
  2. Añadido un escape a los atributos de idioma utilizados en los elementos html.
  3. Asegurar que los cierres de atributos se escapan correctamente en los feeds RSS y Atom.
  4. Eliminada la posibilidad de subir archivos JavaScript por los usuarios que no tengan la capacidad de unfiltered_html.

Gracias a los que han informado de estos problemas por practicar la divulgación responsable: Rahul Pratap Singh y John Blackbourn.

Se han solucionado otros once fallos en WordPress 4.9.1. En concreto citamos estos:

  • Problemas relacionados con la caché de los archivos de plantillas de temas.
  • Un error de MediaElement JavaScript que impedía que usuarios de ciertos idiomas pudieran subir archivos de medios.
  • La imposibilidad de editar archivos de temas y plugins en servidores basados en Windows.

Si quieres aprender más esta entrada tiene más información sobre los problemas solucionados en la versión 4.9.1.

Descarga WordPress 4.9.1 o pásate por tu Escritorio → Actualizaciones y simplemente haz clic en “Actualizar ahora.”Los sitios compatibles con las actualizaciones automáticas en segundo plano ya se están actualizando a WordPress 4.9.1

Gracias a todos los que han colaborado con la versión 4.9.1

Alain SchlesserAndrea FerciaAngelika ReisigerBlobfoliobobbingwideChetan PrajapatiDion HulseDominik Schilling (ocean90)edo888Erich MunzFelix ArntzFlorian TIARGary PendergastIgor BenicJeff FarthingJeffrey PauljeremyescottJoe McGillJohn BlackbournjohnpgreenKelly DwanlenastergMarius L. J.Mel ChoyceMário ValneynatacadoodysseypreciesSašaSergey Biryukov y Weston Ruter.

3 pensamientos en “WordPress 4.9.1, actualización de seguridad y mantenimiento

  1. Pérdida de tiempo, Hay un error cuando se edita el archivo, php

    Aparece este error, carga y carga y aparece este error

    No ha sido posible comunicar con el sitio para comprobar los errores fatales, así que el cambio de PHP se ha revertido. Tendrás que subir el cambio a tu archivo PHP por otros medios, como por ejemplo usando SFTP.

  2. Hola.

    Recien actualice a esta versión y encontré quetodos los usuarios se vieron afectados siendo reemplazados por el alias “dexter” cambiando de igual forma sus contraseñas. En un principio considere podría tratarse de un ataque al servidor pero todos los sitios actualizados a la versión 4.9.1 sufrieron dichos cambios y aunque generamos nuevos usuarios y contraseñas estas fueron nuevamente modificadas al mismo alias y dicha contraseña, en cambio los sitios que no fueron actualizados y usan la versión 4.8 o anterior no fueron afectados.

Deja un comentario